Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.database
Class DatabaseCreateProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin
          edu.stanford.smi.protege.storage.database.DatabaseCreateProjectPlugin

All Implemented Interfaces:
  CreateProjectPlugin, Plugin, DatabasePlugin, Disposable

    public class DatabaseCreateProjectPlugin

extends AbstractCreateProjectPlugin
implements DatabasePlugin

TODO Class Comment

Author:
  Ray Fergerson

Constructor Summary
`DatabaseCreateProjectPlugin()`

Method Summary
`boolean` | `canCreateProject(KnowledgeBaseFactory factory, boolean useExistingSources)`
`WizardPage` | `createCreateProjectWizardPage(CreateProjectWizard wizard, boolean useExistingSources)`
`Project` | `createNewProject(KnowledgeBaseFactory factory)`
`protected void` | `initializeSources(PropertyList sources)`
`void` | `setDriver(String driver)`
`void` | `setPassword(String password)`
`void` | `setTable(String table)`
`void` | `setURL(String url)`
`void` | `setUsername(String username)`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin
`buildNewProject, createProject, dispose, getBuildProjectURI, getName, handleErrors, initialize, setKnowledgeBaseFactory, setUseExistingSources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseCreateProjectPlugin

    public DatabaseCreateProjectPlugin()

Method Detail

### setDriver

    public void setDriver(String driver)

  Specified by:
    `setDriver` in interface `DatabasePlugin`

### setURL

    public void setURL(String url)

  Specified by:
    `setURL` in interface `DatabasePlugin`

### setTable

    public void setTable(String table)

  Specified by:
    `setTable` in interface `DatabasePlugin`

### setUsername

    public void setUsername(String username)

  Specified by:
    `setUsername` in interface `DatabasePlugin`

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `DatabasePlugin`

### canCreateProject

    public boolean canCreateProject(KnowledgeBaseFactory factory,
                                    boolean useExistingSources)

  Specified by:
    `canCreateProject` in interface `CreateProjectPlugin`

### createNewProject

    public Project createNewProject(KnowledgeBaseFactory factory)

  Overrides:
    `createNewProject` in class `AbstractCreateProjectPlugin`

### initializeSources

    protected void initializeSources(PropertyList sources)

  Overrides:
    `initializeSources` in class `AbstractCreateProjectPlugin`

### createCreateProjectWizardPage

    public WizardPage createCreateProjectWizardPage(CreateProjectWizard wizard,
                                                    boolean useExistingSources)

  Specified by:
    `createCreateProjectWizardPage` in interface `CreateProjectPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.